//
//  Visibility+String.swift
//  Tusker
//
//  Created by Shadowfacts on 8/29/18.
//  Copyright © 2018 Shadowfacts. All rights reserved.
//

import MastodonKit

extension Visibility {
    
    static var allCases: [Visibility] {
        return [.public, .unlisted, .private, .direct]
    }
    
    var displayName: String {
        switch self {
        case .public:
            return "Public"
        case .unlisted:
            return "Unlisted"
        case .private:
            return "Private"
        case .direct:
            return "Direct"
        }
    }
    
}
